.content-wrapper {
  padding-top: 0px !important;
}
#job_header {
  margin: 10px 15px;
  background: #fff;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  border-radius: 0.25rem;
  padding: 5px 15px 4px 15px;
  kendo-popup {
    position: absolute;
    width: 185px;
    top: 39px;
    left: 15px;
  }
  kendo-popup.scheduler-popup {
    right: 5px;
    width: 550px !important;
    left: unset !important;
    top: 46px !important;
    position: absolute;
    padding: 10px;
    background: #fff;
    box-shadow: 0px 3px 3px 0px #ccc;
    right: 20%;
    hr {
      margin: 0px;
    }
    p {
      margin: 0px;
      padding: 10px 10px 0px 10px;
    }
  }
  .job_name {
    border: 0px;
    border: solid 1px #e7e7e7;
    font-size: 20px;
    height: 40px;
    outline: none;
    padding: 0px 10px;
    text-transform: capitalize;
    width: 100%;
    :visited {
      background-color: #ffffff;
    }
  }

  .job_name:hover {
    background-color: #ffffff;
    ::-webkit-input-placeholder {
      color: white;
    }
  }

  .job_name::placeholder {
    font-size: 20px;
  }

  button {
    margin: 5px 8px;
  }

  h3,
  p {
    margin: 0px 0px 0px -7px;
  }
  .content {
    padding: 30px;
    color: #787878;
    background-color: #fcf7f8;
    border: 1px solid rgba(0, 0, 0, 0.05);
  }
}
#job_content {
  margin: 10px 15px;
  position: relative;
  display: flex;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  border-radius: 0.25rem;
  background: white;
  .connection {
    // border: solid 1px #f1f1f1;
    height: 80vh;
    padding: 0px 10px;
    .connection_header {
      padding: 0px 0px 0px 5px;
      // border-bottom: solid 1px #f1f1f1;
      // box-shadow: 0px 0px 10px 0px #f1f1f1;
      .col-lg-11 {
        padding-left: 5px;
        padding-right: 0px;
      }
      kendo-dropdownlist {
        margin: 8px 5px;
        width: 100%;
        background: transparent;
      }
      button {
        margin: 8px 0px 0px 0px;
        background: transparent;
        padding: 4px;
        border-width: 1px;
      }
      button:hover {
        background-color: #f1f1ff;
      }
    }
    .connection_message {
      height: auto;
      div.message1,
      div.message2 {
        margin-top: 40%;
        padding: 0px 35px;
        text-align: center;
      }
      div.message1 > svg.icon_add_item {
        margin: 0px 5px;
        position: absolute;
        width: 12px;
      }
    }
    kendo-popup.source-connection-option {
      right: 5px;
      width: 156px !important;
      left: unset !important;
      top: 46px !important;
      position: absolute;
    }
    kendo-popup.source-connection-option > .k-popup {
      width: 160px;
    }
    kendo-popup.destination-connection-option {
      right: 5px;
      width: 156px !important;
      left: unset !important;
      top: 46px !important;
    }
  }
  .collection {
    margin-top: 10px;
    height: 70vh;
    // border: solid 1px #f1f1f1;
    overflow-y: auto;
    overflow-x: hidden;
    &::-webkit-scrollbar-track {
      -webkit-box-shadow: inset 0 0 6px #ffffff;
      background-color: #ffffff;
    }

    &::-webkit-scrollbar {
      width: 6px;
      background-color: #ffffff;
    }

    &::-webkit-scrollbar-thumb {
      background-color: rgb(158, 165, 171);
    }
    > .name {
      background: #f0f2f3;
      font-size: 13px;
      padding: 10px;
      word-break: break-all;
      .option {
        border-radius: 50%;
        float: right;
        margin-top: -1px;
        width: 30px;
      }
      > input {
        background-color: white;
        margin-top: 0px;
        width: 94%;
      }
      > button > svg {
        height: 18px;
        cursor: pointer;
      }
    }
    .parameters,
    .columns {
      margin: 5px;
      min-height: 80px;
      border: solid 1px #e1e1e1;
      border-radius: 5px;
      padding: 10px;
      z-index: 10;
      background: white;
      &.parameters:hover {
        background-color: #f9f9f9;
        // cursor: move;
      }
      .edit_icon {
        border-radius: 50%;
        float: right;
        margin-top: -6px;
        width: 30px;
      }
      .name {
        font-weight: bold;
        font-size: 12px;

        button.okBtn {
          float: right;
          margin-right: 0px;
          margin-top: 2px;
        }
      }
      .type {
        font-size: 11.5px;
        margin-top: 8px;
        text-transform: uppercase;

        button > svg {
          height: 12px;
          cursor: pointer;
        }
      }
      .mapping {
        > input {
          width: 100%;
          font-size: 12px;
        }
      }
      .option {
        border-radius: 50%;
        float: unset;
        margin-left: 5px;
        width: 20px;
        padding: 1px;
        height: 20px;
        border: 0;
        display: contents;
      }
      input,
      kendo-dropdownlist {
        width: 95%;
      }
      button > svg {
        height: 12px;
        cursor: pointer;
        fill: #666;
      }
      label.title {
        font-size: 10px;
        margin-bottom: 0px;
        width: 100%;
        text-transform: uppercase;
      }
      input.column_name,
      input.column_mapping {
        border: solid 1px #cccccc;
        border-radius: 3px;
        background: #ffffff;
        font-weight: normal;
        margin-top: 0px !important;
        margin-bottom: 6px !important;
        outline: none;
        padding: 3px;
        width: 95%;
      }
      .column_type {
        width: 100%;
        margin-bottom: 6px !important;
      }
    }
    .columns:hover .option {
      display: contents;
    }
    input {
      border: solid 1px #cccccc;
      border-radius: 3px;
      background: #f1f1f1;
      margin-top: 6px;
      outline: none;
      padding: 3px;
      width: 100%;
    }
  }
  .paramerter > .type {
    font-size: 12px;
    margin-top: 10px;
  }
}
.k-grid {
  font-size: 12px;
}
.nav > li > a {
  padding-left: 30px;
  font-size: 12px;
  text-align: left;
}
.nav > li:hover,
.nav > li:hover a,
.nav > li:hover a > svg {
  background: #38414a;
  color: white;
  fill: white;
}
.nav > li > a > svg {
  position: absolute;
  left: 8px;
}
.overlay {
  background: rgba(0, 0, 0, 0.2);
  width: 100%;
  height: 85vh;
  z-index: 100000;
  position: absolute;
}
.overlay > .fa {
  position: absolute;
  top: 50%;
  left: 42%;
  margin-left: -15px;
  margin-top: -15px;
  color: #000;
  font-size: 30px;
}
.overlay > p {
  position: absolute;
  top: 65%;
  left: 49%;
  margin-left: -15px;
  margin-top: -15px;
  color: #000;
  font-size: 12px;
}
.overlay > p.loading {
  left: 49%;
}

.overlay > p.processing {
  left: 49%;
}

.overlay > p.validating {
  left: 49%;
}
.top-Margin {
  margin-top: 10px;
  margin-left: 403px;
}
.anchor {
  display: block;
  width: 120px;
  margin: 200px auto;
}
.scrolling-wrapper-flexbox {
  display: flex;
  flex-wrap: nowrap;
  overflow-x: auto;

  .card {
    flex: 0 0 auto;
  }
}
table.d_filter {
  font-size: 10px;
  .control {
    text-align: center;
    svg {
      margin: 0px 3px;
    }
  }
  .input {
    kendo-dropdownlist,
    input {
      width: 100%;
    }
  }
}
table.d_filter > tbody > tr > td {
  padding: 2px;
  line-height: 2.4em;
}
.error {
  background-color: rgb(255, 190, 190) !important;
}
.padding-left-5 {
  padding-left: 5px;
}
.padding-right-5 {
  padding-right: 5px;
}
